﻿using Borepin.Model;
using System.Collections.Generic;
using System.Threading.Tasks;

namespace Borepin.Service.ServerInstances
{
    public interface IBFFHInstanceService
    {
        Task<List<BFFHInstance>> GetBFFHInstances();

        Task<bool> AddBFFHInstance(BFFHInstance instance);
        Task<bool> UpdateBFFHInstance(BFFHInstance instance);

        Task<bool> RemoveBFFHInstance(BFFHInstance instance);

        Task<bool> RemoveAllBFFHInstances();
    }
}
